Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class InsurabilityList

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.InsurabilityList

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:16:02+01:00",
               comments="JAXB RI v2.2.11")
    public class InsurabilityList

extends Object
implements Serializable

Java class for InsurabilityListType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurabilityListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityItem" maxOccurs="5" minOccurs="0"/>
           </sequence>
           <attribute name="Truncated" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`InsurabilityList()`

Method Summary
`List<InsurabilityItem>` | `getInsurabilityItems()` And insurability item.
`Boolean` | `isTruncated()` Gets the value of the truncated property.
`void` | `setTruncated(Boolean value)` Sets the value of the truncated property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsurabilityList

    public InsurabilityList()

Method Detail

### getInsurabilityItems

    public List<InsurabilityItem> getInsurabilityItems()

  And insurability item. Gets the value of the insurabilityItems property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the insurabilityItems property.

  For example, to add a new item, do as follows:

          getInsurabilityItems().add(newItem);

  Objects of the following type(s) are allowed in the list `InsurabilityItem`

### isTruncated

    public Boolean isTruncated()

  Gets the value of the truncated property.

  Returns:
    possible object is `Boolean`

### setTruncated

    public void setTruncated(Boolean value)

  Sets the value of the truncated property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.